# Method: projects.locations.jobs.taskGroups.tasks.list

- [HTTP request](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.request_body)
- [Response body](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.ListTasksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks/list#try-it)

List Tasks associated with a job.

### HTTP request

`GET https://batch.googleapis.com/v1/{parent=projects/*/locations/*/jobs/*/taskGroups/*}/tasks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of a TaskGroup from which Tasks are being requested. Pattern: "projects/{project}/locations/{location}/jobs/{job}/taskGroups/{task_group}" |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Task filter, null filter matches all Tasks. Filter string should be of the format State=TaskStatus.State e.g. State=RUNNING |
| `pageSize` | `integer` Page size. |
| `pageToken` | `string` Page token. |

### Request body

The request body must be empty.

### Response body

tasks.list Response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tasks": [ { object (`https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks#Task`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `tasks[]` | ``object (`https://docs.cloud.google.com/batch/docs/reference/rest/v1/projects.locations.jobs.taskGroups.tasks#Task`)`` Tasks. |
| `nextPageToken` | `string` Next page token. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).